hc_add_series_times_values {highcharter} | R Documentation

## Shorcut for create/add time series from times and values

### Description

This function add a time series to a `highchart` object.

### Usage

    hc_add_series_times_values(hc, dates, values, ...)

### Arguments

`hc` | A `highchart` `htmlwidget` object.
`dates` | A date vector (same length as `values`)
`values` | A numeric vector
`...` | Aditional arguments for the data series (http://api.highcharts.com/highcharts#series).

### Details

This function modify the type of `chart` to `datetime`

### Examples

    ## Not run:

    require("ggplot2")
    data(economics, package = "ggplot2")

    hc_add_series_times_values(hc = highchart(),
                               dates = economics$date,
                               values = economics$psavert,
                               name = "Personal Savings Rate")

    ## End(Not run)

[Package highcharter version 0.5.0 Index]